### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceComparator

java.lang.Object
com.sas.services.deployment.ServiceComparator

All Implemented Interfaces:
  `Comparator<DeployableService>`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServiceComparator extends Object implements Comparator<DeployableService>
Comparator for `DeployableService` representations of a foundation service.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceComparator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `compare(DeployableService ds1, DeployableService ds2)`
  Compares two objects that are of type `DeployableService` in an attempt to ascertain which one should be deployed first based upon their service dependencies.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### ServiceComparator

    public ServiceComparator()

- ## Method Details

  - ### compare

    public final int compare(DeployableService ds1, DeployableService ds2)
    Compares two objects that are of type `DeployableService` in an attempt to ascertain which one should be deployed first based upon their service dependencies.
    Specified by:
      `compare` in interface `Comparator<DeployableService>`
    Parameters:
      `service1` - Object of type `DeployableService`.
      `service2` - Object of type `DeployableService`.
    Returns:
      `0` if it doesn't matter which service should be deployed first, `-1` if service #1 should be deployed prior to service #2 or `1` if service #2 should be deployed prior to service #1.
    See Also:
      - `Comparator.compare(Object, Object)`